<!--
IGAC proyecto SNC
@franz.gamba
@version 2.0
@cu CU-NP-FA 107

@description ventana modal que recibe la informacion de la nueva acta de dotacion

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="3"
             width="100%" id="panelGridAgregarActaDeDotacion">

    <p:messages id="msgsAADD" showDetail="false" globalOnly="false" />

    <h:panelGrid columns="5">

        <h:outputLabel for="descripcionActa" value="Descripción: " />
        <p:inputText id="descripcionActa"
                     value="#{currentManagedBeanParam.descripcionDotacion}"
                     label="Descripción" />
        <p:spacer height="0" width="10"/>
        <h:outputLabel for="calendarActa" value="Fecha: " />
        <p:calendar id="calendarActa" navigator="true"
                    pattern="#{general.formatoFecha}"
                    value="#{currentManagedBeanParam.fechaDotacion}"
                    title="#{general.formatoFechaUsuario}" tabindex="0"
                    effect="slideDown" size="7" locale="es_CO"
                    mindate="#{general.fechaActual}" />
    </h:panelGrid>
    <h:panelGrid columns="2" cellspacing="3">
        <h:outputLabel for="rutaArchivoActa" value="Ruta: " />
        <p:inputText id="rutaArchivoActa"
                     value="#{currentManagedBeanParam.rutaDocumento}"
                     label="Ruta" size="45" />
    </h:panelGrid>


    <h:panelGrid id="btnsActasInduccion" columns="3" cellspacing="2">

        <p:commandButton id="btnRegistrarDotados" widgetVar="registrarDotadosWV"
                         value="Registrar recurso humano a recibir dotación" 
                         disabled="#{currentManagedBeanParam.dotadosRegistrados}" 
                         oncomplete="asignarContratosDotacionWV.show()" ajax="true"
                         process="@this">
        </p:commandButton>		

        <p:commandButton id="btnAgregar" widgetVar="agregarWV" 
                         update=":registrarSedeComisionYDotacionForm:tablaActasDotacion"			
                         value="Agregar" oncomplete="agregarDotacionWV.hide()" ajax="true"

                         process="@form">
        </p:commandButton>
        <p:commandButton id="btnCancelar" widgetVar="cancelarWV"
                         value="Cancelar" oncomplete="agregarDotacionWV.hide()" ajax="true"
                         process="@this">
        </p:commandButton>

    </h:panelGrid>
</h:panelGrid>
